export declare class Steps {
    el: HTMLElement;
    active: number;
    processStatus: 'wait' | 'process' | 'finish' | 'error';
    alignCenter: boolean;
    direction: 'horizontal' | 'vertical';
    steps: {
        title: string;
        description?: string;
    }[];
    componentDidLoad(): void;
    private getStatus;
    private getIcon;
    render(): any;
}
